# draugr.os_utilities.linux_utilities.systemd_utilities.service_management.install_service

draugr.os_utilities.linux_utilities.systemd_utilities.service_management.install_service(service_entry_point_path: Path, service_name: str, *, description: Optional [ str ] = None, auto_enable: bool = True, run_as: RunAsEnum = RunAsEnum.user, restart: RestartServiceEnum = RestartServiceEnum.on_failure, template: str = '\n[Unit]\nDescription = {description}\nAfter = network.target \n \n[Service]\nType = simple\nUser = {service_user}\nGroup = {service_group}\nExecStart = {executable} {service_entry_point_path}\nRestart = {restart} \nSyslogIdentifier = {service_name}\nRestartSec = 5\nTimeoutStartSec = infinity\n \n[Install]\nWantedBy = {service_target}\n') → None

  :param : param template: :param : type template: :param : param restart: :param : param service_entry_point_path: :param : param service_name: :param : param description: :param : param auto_enable: :param : param run_as: